--- title: "Re-Hire an Employee" slug: "recipe-hcm-re-hire-an-employee" tags: ["Recipe", "HCM"] updated: 2024-02-22T20:50:00Z published: 2024-02-22T20:50:00Z canonical: "developers.cmicglobal.com/recipe-hcm-re-hire-an-employee" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Re-Hire an Employee Use the Employee API to re-hire a previously terminated employee. ## Step 1: Create a POST request Create request payload with the minimum required parameters: **Request Body** Following are the required parameters when re-hiring an employee. - EmhActionCode - EmpVUuid - EmpNo - EmpUser - EmpCompCode - EmpStatus - EmpTxtCode - EmpReHireDate **EmhActionCode** In the above request EmhActionCode can one of the following: - CH Any change - NR New hires - TM Termination - RR Re-Hire - IN Pay rate increment - PR Promotion - TR Transfer (i.e. cost center changes) - DE Deceased - RT Retired **EmpStatus** In the above request EmpStatus can one of the following: - A Active - T Terminated - R Retired - D Deceased - S Sick - U Unpaid leave - P Paid leave - L Temporary layoff - O Other **Request** ``` curl --request POST \ --url https://yourserver.com/yourenvironment/hcm-rest-api/rest/1/pyemployee/ \ --header 'accept: application/json' \ --header 'authorization: Basic PDx1c2VyPj46PDxwYXNzPj4=' \ --header 'content-type: application/vnd.oracle.adf.resourceitem+json' \ --data-raw '{ "EmhActionCode": "RR", "EmpVUuid": "", "EmpNo": "006", "EmpUser": "SERVICEUSER", "EmpCompCode": "001", "EmpStatus": "A", "EmpTxtCode": "DC", "EmpReHireDate" : "2021-10-08" } ```